Skip to main content
POST
/
organizations
/
{organization_name}
/
projects
/
{project_name}
/
queues
/
{queue_name}
/
jobs
C#
using Salad.Cloud.SDK;
using Salad.Cloud.SDK.Config;
using Salad.Cloud.SDK.Models;

var config = new SaladCloudSdkConfig{};

var client = new SaladCloudSdkClient(config);

var input = new QueueJobPrototype(new object {}, new object {}, "webhook");

var response = await client.Queues.CreateQueueJobAsync(input, "acme-corp", "dev-env", "fifo-queue");

Console.WriteLine(response);
import com.salad.cloud.sdk.SaladCloudSdk;
import com.salad.cloud.sdk.config.ApiKeyAuthConfig;
import com.salad.cloud.sdk.config.SaladCloudSdkConfig;
import com.salad.cloud.sdk.models.QueueJob;
import com.salad.cloud.sdk.models.QueueJobPrototype;

public class Main {

public static void main(String[] args) {
SaladCloudSdkConfig config = SaladCloudSdkConfig.builder()
.apiKeyAuthConfig(ApiKeyAuthConfig.builder().apiKey("YOUR_API_KEY").build())
.build();

SaladCloudSdk saladCloudSdk = new SaladCloudSdk(config);

QueueJobPrototype queueJobPrototype = QueueJobPrototype.builder()
.input(new Object())
.metadata(new Object())
.webhook("webhook")
.build();

QueueJob response = saladCloudSdk.queues.createQueueJob("acme-corp", "dev-env", "fifo-queue", queueJobPrototype);

System.out.println(response);
}
}
import (
"fmt"
"encoding/json"
"context"
"github.com/saladtechnologies/salad-cloud-sdk-go/pkg/saladcloudsdkconfig"
"github.com/saladtechnologies/salad-cloud-sdk-go/pkg/saladcloudsdk"
"github.com/saladtechnologies/salad-cloud-sdk-go/pkg/util"
"github.com/saladtechnologies/salad-cloud-sdk-go/pkg/queues"
)

config := saladcloudsdkconfig.NewConfig()
config.SetApiKey("API_KEY")
client := saladcloudsdk.NewSaladCloudSdk(config)


request := queues.QueueJobPrototype{
Input: []byte{},
Metadata: []byte{},
Webhook: util.ToPointer("webhook"),
}

response, err := client.Queues.CreateQueueJob(context.Background(), "acme-corp", "dev-env", "fifo-queue", request)
if err != nil {
panic(err)
}

fmt.Println(response)
import { QueueJobPrototype, SaladCloudSdk } from '@saladtechnologies-oss/salad-cloud-sdk';

(async () => {
const saladCloudSdk = new SaladCloudSdk({
apiKey: 'YOUR_API_KEY',
});

const queueJobPrototype: QueueJobPrototype = {
input: [],
metadata: {},
webhook: 'webhook',
};

const { data } = await saladCloudSdk.queues.createQueueJob('acme-corp', 'dev-env', 'fifo-queue', queueJobPrototype);

console.log(data);
})();
from salad_cloud_sdk import SaladCloudSdk
from salad_cloud_sdk.models import QueueJobPrototype

sdk = SaladCloudSdk(
api_key="YOUR_API_KEY",
api_key_header="YOUR_API_KEY_HEADER",
timeout=10000
)

request_body = QueueJobPrototype(
input="",
metadata={},
webhook="webhook"
)

result = sdk.queues.create_queue_job(
request_body=request_body,
organization_name="acme-corp",
project_name="dev-env",
queue_name="fifo-queue"
)

print(result)
curl --request POST \
--url https://api.salad.com/api/public/organizations/{organization_name}/projects/{project_name}/queues/{queue_name}/jobs \
--header 'Content-Type: application/json' \
--header 'Salad-Api-Key: <api-key>' \
--data '
{
"input": "<unknown>",
"metadata": {},
"webhook": "<string>"
}
'
const options = {
method: 'POST',
headers: {'Salad-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({input: '<unknown>', metadata: {}, webhook: '<string>'})
};

fetch('https://api.salad.com/api/public/organizations/{organization_name}/projects/{project_name}/queues/{queue_name}/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "create_time": "2023-11-07T05:31:56Z",
  "events": [
    {
      "time": "2023-11-07T05:31:56Z"
    }
  ],
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "input": "<unknown>",
  "update_time": "2023-11-07T05:31:56Z",
  "metadata": {},
  "output": "<unknown>",
  "webhook": "<string>"
}
{
"detail": "<string>",
"instance": "<string>",
"status": 349,
"title": "<string>",
"type": "about:blank"
}
{
"detail": "<string>",
"instance": "<string>",
"status": 349,
"title": "<string>",
"type": "about:blank"
}
{
"detail": "<string>",
"instance": "<string>",
"status": 349,
"title": "<string>",
"type": "about:blank"
}
{
"detail": "<string>",
"instance": "<string>",
"status": 349,
"title": "<string>",
"type": "about:blank"
}
Last Updated: July 1, 2025

Authorizations

Salad-Api-Key
string
header
required

Path Parameters

organization_name
string
required

Your organization name. This identifies the billing context for the API operation and represents a security boundary for SaladCloud resources. The organization must be created before using the API, and you must be a member of the organization. The organization name.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
Example:

"acme-corp"

project_name
string
required

Your project name. This represents a collection of related SaladCloud resources. The project must be created before using the API. The project name.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
Example:

"dev-env"

queue_name
string
required

The queue name.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
Example:

"fifo-queue"

Body

application/json

Represents a request to create a queue job

input
any
required

The job input. May be any valid JSON.

metadata
object

Additional metadata for the job

webhook
string<url>

The webhook to call when the job completes

Required string length: 1 - 2048
Pattern: ^.*$

Response

Created

Represents a queue job

create_time
string<date-time>
required

The job creation time

events
object[]
required

The job events

Maximum array length: 1000
id
string<uuid>
required

The job identifier

input
any
required

The job input. May be any valid JSON.

status
enum<string>
required

The job status

Available options:
pending,
running,
succeeded,
cancelled,
failed
update_time
string<date-time>
required

The job update time

metadata
object

Additional metadata for the job

output
any

The job output. May be any valid JSON.

webhook
string<url>

The webhook URL to notify when the job completes

Required string length: 20 - 27
Pattern: ^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d+)?(Z|[+-]\\d{2}:\\d{2})$